#
# Makefile (exfloat sample programs) for Borland C++
#

CXX = bcc32
CFLAGS = -O2 -I"c:\Borland\Bcc55\include" -L"c:\Borland\Bcc55\lib" 
EXFINC = -I..
EXFLIB = ..\exfloat-b.lib

all: pi.exe napier.exe fact.exe function.exe taylor.exe contfrac.exe version.exe

clean:
	del *.exe *.obj *.tds

pi.exe: pi.cpp
	$(CXX) $(CFLAGS) $(EXFINC) pi.cpp $(EXFLIB)
napier.exe: napier.cpp
	$(CXX) $(CFLAGS) $(EXFINC) napier.cpp $(EXFLIB)
fact.exe: fact.cpp
	$(CXX) $(CFLAGS) $(EXFINC) fact.cpp $(EXFLIB)
function.exe: function.cpp
	$(CXX) $(CFLAGS) $(EXFINC) function.cpp $(EXFLIB)
taylor.exe: taylor.cpp
	$(CXX) $(CFLAGS) $(EXFINC) taylor.cpp $(EXFLIB)
contfrac.exe: contfrac.cpp
	$(CXX) $(CFLAGS) $(EXFINC) contfrac.cpp $(EXFLIB)

matrix.exe: matrix.cpp
	$(CXX) $(CFLAGS) $(EXFINC) matrix.cpp $(EXFLIB)
test.exe: test.cpp
	$(CXX) $(CFLAGS) $(EXFINC) test.cpp $(EXFLIB)
version.exe: version.cpp
	$(CXX) $(CFLAGS) $(EXFINC) version.cpp $(EXFLIB)
#complex.exe: test.cpp
#	$(CXX) $(CFLAGS) $(EXFINC) complex.cpp $(EXFLIB)


#ival.exe: ival.cpp
#	$(CXX) $(CFLAGS) $(EXFINC) -I..\develop ival.cpp $(EXFLIB)
#pi_ival.exe: pi_ival.cpp
#	$(CXX) $(CFLAGS) $(EXFINC) -I..\develop pi_ival.cpp $(EXFLIB)
