!----------------------------------------------------------------------
! example of built-in functions
!   Time-stamp: "2016-09-30 08:45:29 fujiwara"
!----------------------------------------------------------------------

  PROGRAM builtin

    USE exflib
    IMPLICIT NONE

    TYPE(exfloat) :: h, x, x0, val, pi
    INTEGER*8 :: i

    ! Setting exfloat as follow is NOT VALID.
    ! h = 1e-10

    x = 0
    x0 = 1
    val = pow(x,x0)
    WRITE(*,*) TRIM(exflib_format('F',val))

    h = '1e-2'
    x0 = 0
    pi = "#PI";

    DO i =-100, 100
       x = x0 + i*h

       val = cos(x)

       WRITE(*,*) TRIM(exflib_format('F', x)), ' ', TRIM(exflib_format('F', val))

    END DO

  END PROGRAM builtin

! End of file
  
